export declare const primaryTheme: {
    readonly __type: "primary";
    readonly BORDER_RADIUS: {
        readonly small: "4px";
        readonly medium: "8px";
        readonly large: "32px";
    };
    readonly BOX_SHADOWS: {
        readonly clickable: "0px 8px 24px rgba(52, 51, 82, 0.05)";
        readonly clickableHover: "0px 8px 24px rgba(52, 51, 82, 0.10)";
        readonly modal: "0px -8px 24px rgba(52, 51, 82, 0.05)";
        readonly focus: "0px 0px 0px 2px #FFFFFF, 0px 0px 0px 4px #332E54";
        readonly focusInner: "inset 0px 0px 0px 2px #332E54";
    };
    readonly COLORS: {
        readonly primary: "#332E54";
        readonly primaryTint1: "#524D6E";
        readonly primaryTint2: "#706D87";
        readonly primaryTint3: "#C3C0CD";
        readonly primaryTint4: "#E1E0E6";
        readonly secondary: "#A6A1E2";
        readonly secondaryTint1: "#B8B4E8";
        readonly secondaryTint2: "#CAC7EE";
        readonly secondaryTint3: "#EFEEF7";
        readonly secondaryTint4: "#EFEEF7";
        readonly tertiary: "#F8F8FA";
        readonly tertiaryTint1: "#F8F8FA";
        readonly tertiaryTint2: "#F8F8FA";
        readonly tertiaryTint3: "#F8F8FA";
        readonly tertiaryTint4: "#F8F8FA";
        readonly default: "#706D87";
        readonly defaultLight: "#EDEDF0";
        readonly defaultBorder: "#E1E0E6";
        readonly success: "#2B6E33";
        readonly successLight: "#EAF1EB";
        readonly successBorder: "#DFE9E0";
        readonly error: "#BD200F";
        readonly errorLight: "#F7EAE8";
        readonly errorBorder: "#F3DEDC";
        readonly info: "#554CB3";
        readonly infoLight: "#EEEDF7";
        readonly infoBorder: "#E5E3F3";
        readonly background: "#F8F8FA";
        readonly backgroundDark: "#F8F8FA";
        readonly overlay: "rgba(45, 45, 48, 0.7)";
        readonly overlaySolid: "#2D2D30";
        readonly border: "#EDEDF0";
        readonly textDisabled: "#C3C0CD";
        readonly black: "#000000";
        readonly white: "#FFFFFF";
        readonly transparent: "transparent";
    };
    readonly FONTS: {
        readonly headerFont: "'nocturno', Georgia, TimesNewRoman, 'Times New Roman', Times, Baskerville, serif";
        readonly baseFont: "'larssiet', 'Avant Garde', Avantgarde, 'Century Gothic', CenturyGothic, AppleGothic, Verdana, sans-serif";
        readonly monoFont: "'apercu mono', 'Lucida Console', Monaco, monospace";
    };
    readonly TYPOGRAPHY: {
        readonly fontSize: {
            readonly display: "2.25rem";
            readonly heading: "1.5rem";
            readonly title: "1.25rem";
            readonly body: "1rem";
            readonly bodyBold: "1rem";
            readonly caption: "0.875rem";
            readonly link: "0.875rem";
            readonly button: "0.75rem";
            readonly label: "0.75rem";
        };
        readonly fontWeight: {
            readonly bold: "bold";
            readonly normal: 400;
        };
    };
};
//# sourceMappingURL=primaryTheme.d.ts.map