import 'react';
import PropTypes from 'prop-types';
import Style from './style.js';
import { jsx } from '@emotion/react';

var Avatar = _ref => {
  var {
    alt,
    size = 'small',
    src
  } = _ref;
  return jsx(Style.AvatarImage, {
    alt: alt,
    avatarSize: size,
    src: src
  });
};
Avatar.propTypes = {
  alt: PropTypes.string.isRequired,
  size: PropTypes.oneOf(['small', 'medium', 'large']),
  src: PropTypes.string.isRequired
};

export { Avatar };
