'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
var index$1 = require('../../shared-components/loader/index.cjs');
var index$2 = require('../../shared-components/container/index.cjs');
var index = require('../../../../utils/withDeprecationWarning/index.cjs');
var deprecatedPropsHandler = require('../../deprecatedPropsHandler.cjs');
require('../../../../constants/breakpoints/index.cjs');
require('../../../../constants/grid/index.cjs');
require('../../../../constants/mediaQueries/index.cjs');
require('../../../../constants/colors/primary.cjs');
require('../../../../constants/boxShadows/primary.cjs');
require('../../../../constants/colors/secondary.cjs');
require('../../../../constants/boxShadows/secondary.cjs');
var types = require('../../../../constants/themes/types.cjs');
var index$3 = require('../../../../utils/isDefined/index.cjs');
var style = require('../../style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var _excluded = ["buttonColor", "buttonType", "children", "disabled", "icon", "isFullWidth", "isLoading", "loading", "onClick", "textColor"];

var Button = _ref => {
  var {
    buttonColor,
    buttonType = 'primary',
    children,
    disabled = false,
    icon = null,
    isFullWidth = false,
    isLoading = false,
    loading = undefined,
    onClick,
    textColor
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  var theme = react.useTheme();
  var buttonColorWithTheme = buttonColor !== null && buttonColor !== void 0 ? buttonColor : theme.COLORS.primary;
  var loadingVal = loading === undefined ? isLoading : loading;
  var hasIcon = index$3.isDefined(icon) && icon !== false;
  return react.jsx(style.ButtonBase, _extends__default["default"]({
    buttonColor: buttonColorWithTheme,
    buttonType: buttonType,
    disabled: disabled,
    isFullWidth: isFullWidth,
    isLoading: loadingVal,
    onClick: !disabled && !loadingVal ? onClick : event => {
      event.preventDefault();
    },
    textColor: textColor,
    type: "button" // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), react.jsx(style.ButtonContents, {
    hasIcon: hasIcon,
    isFullWidth: isFullWidth,
    isLoading: loadingVal
  }, icon, react.jsx(style.ButtonText, {
    hasIcon: hasIcon,
    isLoading: loadingVal
  }, children)), react.jsx(index$1["default"], {
    buttonColor: buttonColorWithTheme,
    buttonType: buttonType,
    disabled: disabled,
    isFullWidth: isFullWidth,
    isLoading: loadingVal,
    textColor: textColor
  }));
};

Button.Container = index$2["default"];
Button.propTypes = {
  buttonColor: types.COLORS_PROP_TYPES,
  buttonType: PropTypes__default["default"].oneOf(['primary', 'secondary', 'tertiary', 'quaternary']),
  children: PropTypes__default["default"].node.isRequired,
  disabled: PropTypes__default["default"].bool,
  icon: PropTypes__default["default"].node,
  isFullWidth: PropTypes__default["default"].bool,
  isLoading: PropTypes__default["default"].bool,
  loading: deprecatedPropsHandler.isLoadingPropFunction,
  onClick: PropTypes__default["default"].func,
  textColor: types.COLORS_PROP_TYPES
};
var ButtonComponent = index["default"](Button, deprecatedPropsHandler.deprecatedProperties);

exports.Button = ButtonComponent;
