'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
var index$1 = require('../../shared-components/loader/index.cjs');
var style = require('./style.cjs');
var index = require('../../../../utils/withDeprecationWarning/index.cjs');
var deprecatedPropsHandler = require('../../deprecatedPropsHandler.cjs');
require('../../../../constants/breakpoints/index.cjs');
require('../../../../constants/grid/index.cjs');
require('../../../../constants/mediaQueries/index.cjs');
require('../../../../constants/colors/primary.cjs');
require('../../../../constants/boxShadows/primary.cjs');
require('../../../../constants/colors/secondary.cjs');
require('../../../../constants/boxShadows/secondary.cjs');
var types = require('../../../../constants/themes/types.cjs');
var index$2 = require('../../../../utils/isDefined/index.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var _excluded = ["buttonColor", "buttonType", "children", "disabled", "icon", "isLoading", "loading", "onClick", "textColor"];
var RoundButton = _ref => {
  var {
    buttonColor,
    buttonType = 'primary',
    children,
    disabled = false,
    icon,
    isLoading = false,
    loading = undefined,
    onClick = () => undefined,
    textColor
  } = _ref,
      rest = _objectWithoutProperties__default["default"](_ref, _excluded);

  var theme = react.useTheme();
  var buttonColorWithTheme = buttonColor !== null && buttonColor !== void 0 ? buttonColor : theme.COLORS.primary;
  var loadingVal = loading === undefined ? isLoading : loading;
  return react.jsx(style["default"].RoundButtonWrapper, null, react.jsx(style["default"].RoundButtonBase, _extends__default["default"]({
    onClick: !disabled && !isLoading ? onClick : () => false,
    disabled: disabled,
    buttonType: buttonType,
    buttonColor: buttonColorWithTheme,
    isLoading: loadingVal,
    type: "button",
    isFullWidth: false,
    textColor: textColor // eslint-disable-next-line react/jsx-props-no-spreading

  }, rest), icon, react.jsx(index$1["default"], {
    buttonColor: buttonColorWithTheme,
    buttonType: buttonType,
    disabled: disabled,
    css: style["default"].roundButtonLoader(disabled, theme),
    isLoading: loadingVal,
    textColor: textColor
  })), index$2.isDefined(children) && react.jsx("p", {
    css: style["default"].roundButtonTextStyles(buttonColorWithTheme, theme, textColor)
  }, children));
};
RoundButton.Container = style["default"].RoundButtonContainer;
RoundButton.propTypes = {
  buttonColor: types.COLORS_PROP_TYPES,
  buttonType: PropTypes__default["default"].oneOf(['primary', 'secondary', 'tertiary', 'quaternary', 'action']),
  children: PropTypes__default["default"].node,
  disabled: PropTypes__default["default"].bool,
  icon: PropTypes__default["default"].node.isRequired,
  isLoading: PropTypes__default["default"].bool,
  loading: deprecatedPropsHandler.isLoadingPropFunction,
  onClick: PropTypes__default["default"].func,
  textColor: types.COLORS_PROP_TYPES
};
index["default"](RoundButton, deprecatedPropsHandler.deprecatedProperties);

exports.RoundButton = RoundButton;
