/**
 * We do not use our pattern of anonymous default exports in this file because
 * these styles are shared across all button components. To make the distinction
 * between styles defined specifically for the components, and shared styles, we
 * use named exports for the shared styles and anonymous default exports for the
 * component-specific styles
 */
/// <reference types="react" />
import type { BaseButtonStylesTypes } from './types';
export declare const baseButtonStyles: ({ disabled, buttonType, buttonColor, isLoading, textColor, isFullWidth, theme, }: BaseButtonStylesTypes) => string;
export declare const ButtonBase: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & Omit<BaseButtonStylesTypes, "theme">, import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, {}>;
export declare const ButtonContents: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & {
    hasIcon: boolean;
    isFullWidth: boolean;
    isLoading: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ButtonText: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & {
    hasIcon: boolean;
    isLoading: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
//# sourceMappingURL=style.d.ts.map