'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var index = require('../../button/components/roundButton/index.cjs');
require('@babel/runtime/helpers/extends');
var react = require('@emotion/react');
require('../../icon/index.cjs');
var arrowLeftIcon = require('../../../icons/icons/arrowLeftIcon.cjs');
var arrowRightIcon = require('../../../icons/icons/arrowRightIcon.cjs');
var style = require('./style.cjs');

var Arrow = _ref => {
  var {
    bottomRightAlignedArrows = false,
    disabled = false,
    next = false,
    onClick = () => undefined,
    prev = false
  } = _ref;
  var ArrowContainerComponent = bottomRightAlignedArrows ? style["default"].BottomRightAlignedArrowContainer : style["default"].ArrowContainer;
  return react.jsx(ArrowContainerComponent, {
    prev: prev,
    next: next,
    disabled: disabled
  }, prev && react.jsx(index.RoundButton, {
    buttonType: bottomRightAlignedArrows ? 'primary' : 'action',
    disabled: disabled,
    icon: react.jsx(arrowLeftIcon["default"], null),
    onClick: onClick,
    "aria-label": "Previous item"
  }), next && react.jsx(index.RoundButton, {
    buttonType: bottomRightAlignedArrows ? 'primary' : 'action',
    disabled: disabled,
    icon: react.jsx(arrowRightIcon["default"], null),
    onClick: onClick,
    "aria-label": "Next item"
  }));
};

exports["default"] = Arrow;
