import React from 'react';
import { SizeType, StyleType } from '../selectorButton';
export interface CheckboxProps {
    checked: boolean;
    /**
     * Text label displayed next to the checkbox
     */
    children?: React.ReactNode;
    disabled?: boolean;
    /**
     * Icons are only displayed at the large size, and inside the radio button
     */
    icon?: React.ReactNode;
    onClick?: (event: React.MouseEvent<HTMLDivElement, MouseEvent> | React.KeyboardEvent) => void;
    size?: SizeType;
    type?: StyleType;
    [key: string]: unknown;
}
/**
 * Checkboxes should be used to provide valuable information or additional context on a page. One of the best examples of a Checkbox is for product recommendations.
 *
 * `<Checkbox />` is a controlled component that represents a checkbox selection. This means that the `onClick` function should be used to change the checked state of the checkbox. Note that a group of checkbox buttons must be composed by a parent component.
 */
export declare const Checkbox: React.FC<CheckboxProps>;
export default Checkbox;
//# sourceMappingURL=index.d.ts.map