'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var react = require('@emotion/react');
require('@babel/runtime/helpers/extends');
require('../icon/index.cjs');
var chevronIcon = require('../../icons/icons/chevronIcon.cjs');
var style = require('./style.cjs');

var MobileDropdown = _ref => {
  var {
    borderRadius,
    id,
    onMobileSelectChange,
    onDropdownContainerFocus,
    options,
    textAlign,
    value
  } = _ref;
  var theme = react.useTheme();
  return react.jsx(style["default"].DropdownContainer, {
    textAlign: textAlign
  }, react.jsx("select", {
    css: style["default"].dropdownInputStyle({
      borderRadius,
      shouldBeFullyRounded: true,
      textAlign,
      theme
    }),
    id: id,
    value: value !== null && value !== void 0 ? value : '',
    onChange: onMobileSelectChange,
    onFocus: onDropdownContainerFocus
  }, options.map((option, index) => {
    var _option$value;

    var isDisabled = option.disabled;
    /*
     * Covers the case where default value is disabled
     * In mobile you cannot have a selected value as disabled option
     */

    if (option.value === value) {
      isDisabled = false;
    }

    return react.jsx("option", {
      key: (_option$value = option.value) !== null && _option$value !== void 0 ? _option$value : "undefined-".concat(index),
      value: option.value,
      disabled: isDisabled
    }, option.label);
  })), react.jsx(style["default"].IconContainer, null, react.jsx(chevronIcon["default"], {
    width: 10,
    height: 10
  })));
};

exports.MobileDropdown = MobileDropdown;
