import React from 'react';
import { OptionType, OptionValue } from '.';
interface MobileDropdownProps<T> {
    borderRadius: string;
    id?: string;
    onDropdownContainerFocus: (event: React.FocusEvent<HTMLSelectElement>) => void;
    onMobileSelectChange: (event: React.ChangeEvent<HTMLSelectElement>) => void;
    options: T[];
    textAlign: 'left' | 'center';
    value?: OptionValue;
}
/**
 * The mobile dropdown is built into the `<Dropdown />` component and cannot be used individually.
 *
 * `<Dropdown /> ` will determine if the user is on a mobile device and render a true `select` tag with `option`(s).
 */
export declare const MobileDropdown: <T extends OptionType>({ borderRadius, id, onMobileSelectChange, onDropdownContainerFocus, options, textAlign, value, }: MobileDropdownProps<T>) => JSX.Element;
export {};
//# sourceMappingURL=mobileDropdown.d.ts.map