'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var PropTypes = require('prop-types');
var React = require('react');
var react = require('@emotion/react');
var style = require('./style.cjs');
require('@babel/runtime/helpers/extends');
require('../icon/index.cjs');
var checkmarkIcon = require('../../icons/icons/checkmarkIcon.cjs');
var errorIcon = require('../../icons/icons/errorIcon.cjs');
var index = require('../verificationMessages/index.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Field = _ref => {
  var {
    children: inputChild,
    disabled = false,
    hideMessagesIcon = false,
    hintMessage = '',
    label = '',
    labelFor = '',
    messages = {},
    messagesType = 'error'
  } = _ref;
  var theme = react.useTheme();
  var htmlFor = labelFor || label;
  var messagesKeys = Object.keys(messages);
  var showMessages = messagesKeys.length > 0;
  var MessageIcon = messagesType === 'success' ? react.jsx(checkmarkIcon["default"], {
    fill: theme.COLORS.success,
    className: "radiance-field-input-icon"
  }) : react.jsx(errorIcon["default"], {
    fill: theme.COLORS.error,
    className: "radiance-field-input-icon"
  });
  return react.jsx(style["default"].FieldContainer, null, !!label && react.jsx(style["default"].Label, {
    htmlFor: htmlFor,
    disabled: disabled
  }, label), react.jsx(style["default"].InputContainer, {
    showMessages: showMessages,
    messagesType: messagesType
  }, hideMessagesIcon || MessageIcon, /*#__PURE__*/React__default["default"].cloneElement(inputChild, {
    disabled
  }), !!hintMessage && react.jsx(style["default"].HintItem, null, hintMessage), react.jsx(index.VerificationMessages, {
    messages: messages,
    type: messagesType
  })));
};
Field.Textarea = style["default"].Textarea;
Field.Input = style["default"].Input;
Field.propTypes = {
  children: PropTypes__default["default"].element.isRequired,
  disabled: PropTypes__default["default"].bool,
  hideMessagesIcon: PropTypes__default["default"].bool,
  hintMessage: PropTypes__default["default"].string,
  label: PropTypes__default["default"].string,
  labelFor: PropTypes__default["default"].string,
  messages: PropTypes__default["default"].objectOf(PropTypes__default["default"].oneOfType([PropTypes__default["default"].element, PropTypes__default["default"].string, PropTypes__default["default"].arrayOf(PropTypes__default["default"].string.isRequired), PropTypes__default["default"].arrayOf(PropTypes__default["default"].element.isRequired)]).isRequired),
  messagesType: PropTypes__default["default"].oneOf(['error', 'success'])
};

exports.Field = Field;
