'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var getStyles = _ref => {
  var {
    theme,
    type
  } = _ref;
  // Default properties correspond to 'error' type
  var backgroundColor = theme.COLORS.error;
  var textColor = theme.COLORS.white;

  if (type === 'primary') {
    backgroundColor = theme.COLORS.primary;
  }

  if (type === 'success') {
    backgroundColor = theme.COLORS.success;
  }

  if (type === 'tertiary') {
    backgroundColor = theme.COLORS.defaultLight;
    textColor = theme.COLORS.primary;
  }

  if (type === 'white') {
    backgroundColor = theme.COLORS.white;
    textColor = theme.COLORS.primary;
  }

  return {
    backgroundColor,
    textColor
  };
};
/**
 * Indicators are used in navigation to help with wayfinding for messages and notifications.
 * It can also be used for non-navigational purposes for information-intensive pages.
 */


var Indicator = _ref2 => {
  var {
    text,
    type = 'error'
  } = _ref2;
  var theme = react.useTheme();
  var {
    backgroundColor,
    textColor
  } = getStyles({
    theme,
    type
  });
  return react.jsx(style["default"].IndicatorContainer, {
    backgroundColor: backgroundColor,
    textColor: textColor
  }, react.jsx("div", null, text));
};
Indicator.propTypes = {
  text: PropTypes__default["default"].oneOfType([PropTypes__default["default"].string, PropTypes__default["default"].number]).isRequired,
  type: PropTypes__default["default"].oneOf(['error', 'primary', 'success', 'tertiary', 'white'])
};

exports.Indicator = Indicator;
