'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
var style = require('./style.cjs');
require('../../constants/breakpoints/index.cjs');
require('../../constants/grid/index.cjs');
require('../../constants/mediaQueries/index.cjs');
require('../../constants/colors/primary.cjs');
require('../../constants/boxShadows/primary.cjs');
require('../../constants/colors/secondary.cjs');
require('../../constants/boxShadows/secondary.cjs');
var types = require('../../constants/themes/types.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var LoadingSpinner = _ref => {
  var {
    bgColor,
    color,
    duration = 2,
    size = '14px',
    translateX = '100px'
  } = _ref;
  var theme = react.useTheme();
  var bgColorWithTheme = bgColor !== null && bgColor !== void 0 ? bgColor : theme.COLORS.background;
  var colorWithTheme = color !== null && color !== void 0 ? color : theme.COLORS.primary;
  return react.jsx(style["default"].LoadingSpinnerContainer, {
    bgColor: bgColorWithTheme
  }, react.jsx(style["default"].Overlay, null, react.jsx(style["default"].Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  }), react.jsx(style["default"].Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  }), react.jsx(style["default"].Dot, {
    dotColor: colorWithTheme,
    translateX: translateX,
    duration: duration,
    dotSize: size
  })));
};
LoadingSpinner.propTypes = {
  bgColor: types.COLORS_PROP_TYPES,
  color: types.COLORS_PROP_TYPES,
  duration: PropTypes__default["default"].number,
  size: PropTypes__default["default"].string,
  translateX: PropTypes__default["default"].string
};

exports.LoadingSpinner = LoadingSpinner;
