'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var OffClickWrapper = _ref => {
  var {
    children,
    className,
    onOffClick
  } = _ref;
  var containerRef = React.useRef(null);

  var handleKeyPress = event => {
    if (event.key === 'Escape') {
      onOffClick(event);
    }
  };

  var handleOffClick = event => {
    var node = containerRef.current;

    if (!node) {
      return;
    }

    if (node.contains(event.target)) {
      return;
    }

    onOffClick(event);
  };

  React.useEffect(() => {
    document.addEventListener('click', handleOffClick, {
      capture: true
    });
    document.addEventListener('keydown', handleKeyPress, {
      capture: true
    });
    return () => {
      document.removeEventListener('click', handleOffClick, false);
      document.removeEventListener('keydown', handleKeyPress, false);
    };
  }, []);
  return react.jsx("div", {
    ref: containerRef,
    className: className
  }, children);
};
OffClickWrapper.propTypes = {
  children: PropTypes__default["default"].node.isRequired,
  className: PropTypes__default["default"].string,
  onOffClick: PropTypes__default["default"].func.isRequired
};

exports.OffClickWrapper = OffClickWrapper;
