'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var PropTypes = require('prop-types');
var React = require('react');
var style = require('./style.cjs');
var react = require('@emotion/react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var Tabs = _ref => {
  var {
    initialActiveTabId = 1,
    onClick = () => undefined,
    tabItems
  } = _ref;
  var [activeTabId, setActiveTabId] = React.useState(initialActiveTabId);

  var onTabClick = tab => {
    setActiveTabId(tab.id);
    onClick(tab);
  };

  return react.jsx(style["default"].TabsContainer, null, tabItems.map(tab => react.jsx(style["default"].TabItem, {
    active: tab.id === activeTabId,
    key: tab.id,
    onClick: () => {
      onTabClick(tab);
    }
  }, tab.text)));
};
Tabs.propTypes = {
  initialActiveTabId: PropTypes__default["default"].number,
  onClick: PropTypes__default["default"].func,
  tabItems: PropTypes__default["default"].arrayOf(PropTypes__default["default"].shape({
    id: PropTypes__default["default"].number.isRequired,
    text: PropTypes__default["default"].string.isRequired
  }).isRequired).isRequired
};

exports.Tabs = Tabs;
