import PropTypes from 'prop-types';
export interface TabType {
    id: number;
    text: string;
}
export interface TabsProps<TabGeneric extends TabType> {
    initialActiveTabId?: number;
    onClick?: (tab: TabGeneric) => unknown;
    tabItems: readonly TabGeneric[];
}
export declare const Tabs: {
    <TabGeneric extends TabType>({ initialActiveTabId, onClick, tabItems, }: TabsProps<TabGeneric>): JSX.Element;
    propTypes: {
        initialActiveTabId: PropTypes.Requireable<number>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        tabItems: PropTypes.Validator<PropTypes.InferProps<{
            id: PropTypes.Validator<number>;
            text: PropTypes.Validator<string>;
        }>[]>;
    };
};
//# sourceMappingURL=index.d.ts.map