'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var PropTypes = require('prop-types');
var react = require('@emotion/react');
require('@babel/runtime/helpers/extends');
require('../icon/index.cjs');
var arrowIcon = require('../../icons/icons/arrowIcon.cjs');
var index = require('../offClickWrapper/index.cjs');
var style = require('./style.cjs');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);

var Tooltip = _ref => {
  var {
    alignRightPercent = 0,
    alignTopPercent = 0,
    arrowAlign = 'middle',
    children,
    content = '',
    defaultOpen = false,
    display = true,
    hasRestrictedWidth = false,
    isSmall = false,
    nudgeBottom = 0,
    nudgeLeft = 0,
    nudgeRight = 0,
    nudgeTop = 0,
    position = 'top'
  } = _ref;
  var theme = react.useTheme();
  var [clicked, setClicked] = React.useState(false);
  var [hovered, setHovered] = React.useState(false);

  var onClick = () => {
    setClicked(!clicked);
  };

  var closeTooltip = () => {
    setClicked(false);
    setHovered(false);
  };

  var open = defaultOpen || clicked || hovered;
  return react.jsx(index.OffClickWrapper, {
    onOffClick: closeTooltip
  }, react.jsx(style["default"].MainContainer, null, react.jsx(style["default"].Trigger, {
    onClick: onClick,
    onMouseEnter: () => {
      setHovered(true);
    },
    onMouseLeave: () => {
      setHovered(false);
    }
  }, children), react.jsx(style["default"].TooltipBox, {
    alignRightPercent: alignRightPercent,
    alignTopPercent: alignTopPercent,
    arrowAlign: arrowAlign,
    onClick: open ? onClick : undefined,
    displayTooltip: display,
    hasRestrictedWidth: hasRestrictedWidth,
    isSmall: isSmall,
    nudgeBottom: nudgeBottom,
    nudgeLeft: nudgeLeft,
    nudgeRight: nudgeRight,
    nudgeTop: nudgeTop,
    open: open,
    position: position
  }, react.jsx(style["default"].TooltipContent, null, content), react.jsx(style["default"].ArrowImageContainer, {
    arrowAlign: arrowAlign,
    position: position
  }, react.jsx(arrowIcon["default"], {
    width: 16,
    height: 16,
    fill: theme.COLORS.primary
  })))));
};
Tooltip.propTypes = {
  alignRightPercent: PropTypes__default["default"].number,
  alignTopPercent: PropTypes__default["default"].number,
  arrowAlign: PropTypes__default["default"].oneOf(['left', 'middle', 'right']),
  children: PropTypes__default["default"].oneOfType([PropTypes__default["default"].arrayOf(PropTypes__default["default"].node), PropTypes__default["default"].node]).isRequired,
  content: PropTypes__default["default"].node,
  defaultOpen: PropTypes__default["default"].bool,
  display: PropTypes__default["default"].bool,
  hasRestrictedWidth: PropTypes__default["default"].bool,
  isSmall: PropTypes__default["default"].bool,
  nudgeBottom: PropTypes__default["default"].number,
  nudgeLeft: PropTypes__default["default"].number,
  nudgeRight: PropTypes__default["default"].number,
  nudgeTop: PropTypes__default["default"].number,
  position: PropTypes__default["default"].oneOf(['top', 'bottom'])
};

exports.Tooltip = Tooltip;
