import React from 'react';
export declare type MessagesTypes = 'error' | 'success';
export declare type MessageType = string | JSX.Element | Array<string | JSX.Element>;
export interface VerificationMessagesProps {
    /**
     * Centers the messages
     */
    centered?: boolean;
    /**
     * Object of key and React Node message pair. It also accepts an array of React Node as value
     */
    messages?: Record<string, MessageType>;
    type?: MessagesTypes;
}
/**
 * Verification messages help provide context and status within forms.
 *
 * They should be short and explanative.
 *
 * Verification message color should match the alert status, so they can either be `error` or `success`.
 *
 * While it can be used as a standalone component, it is intended for use within the Field component.
 */
export declare const VerificationMessages: React.FC<VerificationMessagesProps>;
//# sourceMappingURL=index.d.ts.map