'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tinycolor = require('tinycolor2');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var tinycolor__default = /*#__PURE__*/_interopDefaultLegacy(tinycolor);

function percentToInt(str) {
  // '20%' -> 20
  return parseInt(str.replace(/%/g, ''), 10);
}

function lighten(color, modifier) {
  return tinycolor__default["default"](color).lighten(percentToInt(modifier)).toString();
}
function darken(color, modifier) {
  return tinycolor__default["default"](color).darken(percentToInt(modifier)).toString();
}
function transparentize(color, modifier) {
  return tinycolor__default["default"](color).setAlpha(modifier).toString();
}

exports.darken = darken;
exports.lighten = lighten;
exports.transparentize = transparentize;
